package demoMVCCercleV2;

public class CarreAvecRondEvent {
	
	public static final int COULEUR_MODIFIEE= 0;
	public static final int GEOMETRIE_MODIFIEE= 1;

	/**
	 * Le type d'événement (un parmi {@link #COULEUR_MODIFIEE} ou {@link #GEOMETRIE_MODIFIEE}.
	 * On pourrait aussi utiliser des enums, voire plus complexe.
	 */
	private int type;
	
	/**
	 * Crée un événement.
	 * 
	 * @param type  {@link #COULEUR_MODIFIEE} ou {@link #GEOMETRIE_MODIFIEE}
	 */
	public CarreAvecRondEvent(int type) {
		this.type= type;
	}
	
	/**
	 * Retourne le type de l'événement.
	 * @return {@link #COULEUR_MODIFIEE} ou {@link #GEOMETRIE_MODIFIEE}
	 */
	public int getType() {
		return type;
	}
}
