/**
 * Version plus perfectionnée et réaliste de Demo avec Cercle.
 * 
 * <ul>
 * <li> Le modèle envoie des événements qui permettent d'en savoir plus sur 
 *  la manière dont il a été modifié (et en pratique de savoir si oui ou non on doit 
 *  appeler revalidate)
 * <li> La vue n'implémente pas directement ModeleListener, mais utilise une classe interne 
 *  pour le faire. Avantage: elle n'a pas la méthode modeleModifie dans son interface. C'est bien,
 *  parce que la méthode modeleModifie n'est jamais appelée par un programmeur "normal",
 *  mais uniquement par l'architecture MVC. En implémentant directement ModeleListener dans 
 *  la vue, on rend celle-ci moins compréhensible par le programmeur qui "voit" un nombre considérable
 *  de méthodes qu'il n'utilise pas.
 * </ul>
 */
package demoMVCCercleV2;
